Subject: Re: [PATCH] net: mvpp2: add delay at the end of .mac_prepare

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 1 May 2022 12:37:07 +0100

On Thu, Apr 28, 2022 at 01:59:55PM +0300, Baruch Siach wrote:
> Hi Marcin,
> 
> I can add that DT phy-mode is set to "10gbase-kr" (equivalent to
> "10gbase-r" in this case).

Please do not use 10gbase-kr - this is for backplane support, and was an
early mistake with the 88x3310 nand Armada 8040. Both behave compatibly
with it for older DT, and that's only what it's there for. You should be
specifying "10gbase-r" in DT. Please update your DT.

> The port cp0_eth0 is connected to a 1G
> Ethernet switch. Kernel messages indicate that on interface up the MAC
> is first configured to XLG (10G), but after Ethernet (wire)
> auto-negotiation that MAC switches to SGMII. If I set DT phy-mode to
> "sgmii" the issue does not show. Same if I make a down/up cycle of the
> interface.

Sounds like old PHY firmware.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!